## Apache Zeta Components Manual :: Docs For Class ezcGraphRenderer2dOptions

### Graph::ezcGraphRenderer2dOptions

### Class ezcGraphRenderer2dOptions

Class containing the extended options available in 2d renderer.

1. $graph=new ezcGraphPieChart ();
2. $graph->palette=new ezcGraphPaletteBlack ();
3. $graph->title='Access statistics';
4. $graph->options->label='%2$d (%3$.1f%%)';
6. $graph->data['Access statistics']=new ezcGraphArrayDataSet (array(
7. 'Mozilla'=>19113,
8. 'Explorer'=>10917,
9. 'Opera'=>1464,
10. 'Safari'=>652,
11. 'Konqueror'=>474,
12. ) );
13. $graph->data['Access statistics']->highlight['Explorer']=true;
15. // $graph->renderer = new ezcGraphRenderer2d();
17. $graph->renderer->options->moveOut=.2;
19. $graph->renderer->options->pieChartOffset=63;
21. $graph->renderer->options->pieChartGleam=.3;
22. $graph->renderer->options->pieChartGleamColor='#FFFFFF';
23. $graph->renderer->options->pieChartGleamBorder=2;
25. $graph->renderer->options->pieChartShadowSize=3;
26. $graph->renderer->options->pieChartShadowColor='#000000';
28. $graph->renderer->options->legendSymbolGleam=.5;
29. $graph->renderer->options->legendSymbolGleamSize=.9;
30. $graph->renderer->options->legendSymbolGleamColor='#FFFFFF';
32. $graph->renderer->options->pieChartSymbolColor='#BABDB688';
34. $graph->render(400,150,'tutorial_pie_chart_pimped.svg');

Source for this file: /Graph/src/options/renderer_2d.php

    ezcBaseOptions
       |
       --ezcGraphChartOptions
          |
          --ezcGraphRendererOptions
             |
             --ezcGraphRenderer2dOptions

Version: | //autogentag//

### Properties

float | read/write | `$pieChartShadowColor` Color used for pie chart shadows.
int | read/write | `$pieChartShadowSize` Size of shadows.
float | read/write | `$pieChartShadowTransparency` Used transparency for pie chart shadows.

### Inherited Member Variables

From ezcBaseOptions
protected | `ezcBaseOptions::$properties`

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3